<!DOCTYPE html>
<html>
<head>
    <meta charset="UTF-8">
    <title>Classwork timer</title>
    <style>
        #clock{
            width: 200px; 
            height: 200px; 
            font-size: 24px; 
            border-radius: 100px; 
            border:1px solid #000
        }
        #hand {
            margin:0 0 0 100px;
            height: 100px;
            border-left: 2px solid #000;
        }
    </style>
</head>
<body>
        <div id='clock'>
            <!-- <div id='hand' style="margin:100px; height: 100px; border-left: 2px solid #000"> </div> -->
            <div id='hand'> </div>
        </div>
        <button id="start">Start</button>
        <button id="stop">Stop</button>
        <button id="pause">Pause</button>
        <button id="reverse">Reverse</button>
      <!--
        Создайте счетчик секунд, который начинает отчет с 1 и заканчивается на 30,
        также добавьте кнопки который останавливают отчет, и запускают его заново и добавьте кнопку обнуляющую отчет.
        Также попробуйте изменить код так чтобы отчет начиналься с 30 и заканчивалься на 1.

       + бонус: Сделать так что бы на каждый тик (1с/2c) менялся цвет фона. Можно на основе генератора случайного цвета с предудущих уроков.
       + бонус: Сделать визуализацию стрелки которая идет по кругу
            document.getElementById("myDIV").style.transform = "rotate(7deg)";

       + бонус: Сделать кнопки которые выбирают режим в котором идет отсчет - обычный от 0 до 30 или реверсивный от 30 до 0
      -->
      <script>

        // Не понял зачем привязываться именно к 30, я сделал 60 что бы были полноченные часы.
        const clock = document.getElementById('clock');
        const start = document.getElementById('start');
        const stop = document.getElementById('stop');
        const reverse = document.getElementById('reverse');
        const pause = document.getElementById('pause');
        const hand = document.getElementById('hand');
        let forward;
        let rotator;
        let timer;
        
        resetTime();
        
        reverse.addEventListener('click', ()=>{
            forward = !forward;
        });

        start.addEventListener('click', startTime);
        pause.addEventListener('click', pauseTime);
        stop.addEventListener('click', resetTime);

        function startTime() {
            if(!timer) {
                timer = setInterval(() => {
                    if(forward) { 
                        // (now===30) ? now=1 : now++;
                        (rotator===60) ? rotator=1 : rotator++;
                    } else {
                        // (now===1 ) ? now=30 : now--;
                        (rotator===1) ? rotator=60 : rotator--;
                    }
                    clock.style.backgroundColor = randomColor();
                    clock.style.transform = `rotate(${rotator*6}deg)`;
                }, 1000);
            }
        }
        function pauseTime() {
            clearInterval(timer);
            timer = null;
        }
        function resetTime() {
            clearInterval(timer);
            timer = null;
            forward=true;
            rotator = 0;
            clock.style.backgroundColor = "#fff";
            clock.style.transform = `rotate(${rotator*7}deg)`;
        }

         // Получение рандомного света в HEX
        function randomColor() {
            return "#" + Math.random().toString(16).slice(2, 8);       
        }
      </script>
</body>
</html>
